DataCubeControllerRefreshTransform Method |
PUT /DataCube/RefreshTransform/{id}
Refreshes the elements of the specified transform on a data cube.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPutAttribute]
[ActionNameAttribute("RefreshTransform")]
public HttpResponseMessage RefreshTransform(
Guid id,
[FromBodyAttribute] Guid transformId,
Nullable<Guid> sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("RefreshTransform")>
Public Function RefreshTransform (
id As Guid,
<FromBodyAttribute> transformId As Guid,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPutAttribute]
[ActionNameAttribute(L"RefreshTransform")]
HttpResponseMessage^ RefreshTransform(
Guid id,
[FromBodyAttribute] Guid transformId,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("RefreshTransform")>]
member RefreshTransform :
id : Guid *
[<FromBodyAttribute>] transformId : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the data cube to update the transform on. - transformId
- Type: SystemGuid
The ID of the transform to refresh. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
A
DataCubeData object containing the updated data cube data, or a status code indicating the problem.
See Also